﻿@using Xtoman.Domain.WebServices.TradingPlatform.Kraken
@model KrakenClosedOrdersViewModel

@if (Model.ClosedOrders != null && Model.ClosedOrders.ResultType == KrakenGeneralResultType.success)
{
    <h4>سفارش های بسته شده در ماه گذشته</h4>
    <div class="list-info">
        @if (Model.ClosedOrders.Result != null && Model.ClosedOrders.Result.Closed != null && Model.ClosedOrders.Result.Closed.Count > 0)
        {
            @Html.DataTables(
                            @<thead>
                                <tr>
                                    <th>Id</th>
                                    <th>حجم خرید</th>
                                    <th>قیمت خرید</th>
                                    <th>مبلغ کل خرید</th>
                                    <th>هزینه</th>
                                    <th>زمان ثبت سفارش</th>
                                    <th>زمان بسته شدن</th>
                                    <th>نوع سفارش</th>
                                    <th>نشانه ها</th>
                                    <th>وضعیت سفارش</th>
                                </tr>
                            </thead>,
                                    @<tbody>
                                        @foreach (var modelItem in Model.ClosedOrders.Result.Closed)
                                        {
                                            <tr style="background-color:#@(modelItem.Value.Description.Type == "buy" ? "00b19d" : "ef5350")">
                                                <td>@modelItem.Key</td>
                                                <td>@modelItem.Value.Volume.ToBlockChainPrice()</td>
                                                <td>@modelItem.Value.Price.ToBlockChainPrice(2)</td>
                                                <td>@modelItem.Value.Cost.ToBlockChainPrice(2)</td>
                                                <td>@modelItem.Value.Fee.ToBlockChainPrice(2)</td>
                                                <td>@DateTime.UtcNow.AddTicks(modelItem.Value.OpenTime).ToFaDateTimeZone()</td>
                                                <td>@DateTime.UtcNow.AddTicks(modelItem.Value.CloseTime).ToFaDateTimeZone()</td>
                                                <td>@modelItem.Value.Description.Order</td>
                                                <td>@modelItem.Value.OrderFlags</td>
                                                <td>@modelItem.Value.Status</td>
                                            </tr>
                                        }
                                    </tbody>).Order(0, DataTabledOrder.Asc)
        }
        else
        {
            <p>هیچ پوزیشن بازی وجود ندارد.</p>
        }
    </div>
}